.tapbar {
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 900;
    background: $white;
    position: fixed;
    box-shadow: 0px 4px 20px 0px rgba(63, 62, 104, 0.7);

    &__container {
        width: 100%;
        display: flex;
    }

    &__item {
        color: $black;
        padding: 0;
        outline: none;
        border: none;
        width: 25%;
        height: rem(50);
        position: relative;
        background: $white;
        font-size: rem(14);
        line-height: rem(18);
        text-decoration: none;
        flex-shrink: 0;
        display: flex;
        align-items: center;
        justify-content: center;
        fill: $blue-dark;

        &:not(:last-child) {
            border-right: 1px solid #E0E0F3;
        }

        &.active {
            fill: $white;
            color: $white;
            background: $blue;

            .tapbar__icon--search {
                stroke: $white;

                svg {

                    circle {
                        fill: $blue;
                    }
                }
            }
        }
    }

    &__text {
        display: none;
    }

    &__icon {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        flex-shrink: 0;
        height: rem(16);


        &--heart {
            height: rem(20);
        }

        &--search {
            stroke: $blue-dark;

            svg {

                circle {
                    fill: $white;
                }
            }
        }
    }

    &__counter {
        top: rem(5);
        right: rem(3);
        width: rem(15);
        height: rem(15);
        z-index: 10;
        color: $white;
        text-align: center;
        background: $violet;
        border-radius: rem(2);
        font-weight: 700;
        font-size: rem(10);
        line-height: rem(11);
        position: absolute;
        display: inline-flex;
        align-items: center;
        justify-content: center;
    }

    @include media-breakpoint-up(sm) {

        &__item {
            padding: 0 rem(24);
        }
    }

    @include media-breakpoint-up(md) {

        &__item {
            text-align: center;
        }

        &__icon {
            left: rem(20);
            position: absolute;
            top: calc(50% - 0.5rem);

            &--heart {
                top: calc(50% - 0.625rem);
            }
        }

        &__text {
            display: block;
            width: 100%;
        }
    }

    @include media-breakpoint-up(lg) {

        &__container {
            margin: 0 auto;
            padding: 0 rem(16);
            max-width: rem(container-width(lg));
        }
    }

    @include media-breakpoint-up(xl) {
        opacity: 0;
        display: none;
        visibility: hidden;
    }
}

.mobile-search {
    top: 0;
    left: 0;
    right: 0;
    opacity: 0;
    visibility: hidden;
    z-index: 850;
    position: fixed;
    transform: translateY(rem(-70));
    transition: .3s;

    &__container {
        z-index: 100;
        position: relative;
        padding: rem(6) rem(5);
    }

    .search__field {
        box-shadow: 0px 4px 20px 0px rgba(48, 36, 121, 0.35);
    }

    &.open {
        opacity: 1;
        visibility: visible;
        transform: translateY(0);
        transition: .3s;
    }


    @include media-breakpoint-up(xl) {
        display: none;
    }
}
